class Arbre:
	def __init__(self, nom, g, d):
		self.nom = nom
		self.gauche = g
		self.droite = d

	def est_vide(self):
		return self.gauche is None and self.droite is None
		
	def parcours(self):
		print(self.nom)
		if self.gauche != None:
			self.gauche.parcours()
		if self.droite != None:
			self.droite.parcours()